body {
    --bs-form-invalid-color: #a94442;
}
#search_btn, #filter_btn {
    padding: 0 !important;
    border: none;
}
.strap-section.bg-green {
    background-color: #007833;
}
.strap-section h2.section-title {
    font-weight: bold;
    letter-spacing: 2px;
    font-size: 2rem;
}
.mt-0 {
    margin-top: 0 !important;
}
.recipe-section {
    /* background-image: url("/assets/images/recipe/1.png"); */
    /* background-position: center;
    background-size: cover;
    background-repeat: no-repeat; */
    padding-top: 55px;
    position: relative;
    /* min-height: 90vh; */
    /* display: flex; */
    align-items: end;
    position: relative;
    overflow: hidden;
}
.recipe-img {
    width: 100%;
    height: max-content;
    position: absolute;
    top: 0;
    left: 0;
    min-height: 90vh;
    object-fit: cover;
}
.recipe-img-dekstop {
    max-height: 80vh;
    object-fit: cover;
    object-position: top;
}
.recipe-img-mobile {
    display: none;
    max-height: 80vh;
    object-fit: cover;
    object-position: top;
}

.racipe-time {
    display: flex;
    /* border: 1px solid #fff; */
    /* margin-top: auto; */
    background-color: #df033f;
    position: relative;
    width: 100%;
    gap: 40px;
    padding: 5px 10vw;
}
.racipe-time-element {
    display: flex;
    align-items: center;
    /* div {
      display: flex;
      flex-direction: column;
    } */
}
.time-heading {
    text-transform: uppercase;
    color: #fff;
    font-size: 1.2rem;
    font-weight: 500;
}
.time {
    color: #f8f400;
    font-size: 1.3rem;
    font-weight: 600;
}
.recipe-floating-card {
    position: absolute;
    bottom: 0;
    right: 90px;
    width: 360px;
    padding: 10px 40px;
    background-color: rgba(255, 255, 255, 0.8);
    h3 {
        text-transform: uppercase;
        /* font-family: "AvenirNextCondensed-Bold"; */
        font-weight: bold;
        color: #df033f;
        font-size: 30px;
        border-bottom: 2px solid #df033f;
        margin-top: 20px;
        margin-bottom: 10px;
    }
    p {
        font-size: 1.13rem;
        color: #333;
        font-weight: 500;
    }
}
.veg-logo {
    position: absolute;
    left: 20px;
    top: 32px;
    width: 14px;
}
.floating-search {
    position: absolute;
    /* display: none; */
    top: 80px;
    right: 60px;
    width: 60vw;
}
.search-container {
    justify-content: end;
    input {
        width: 100%;
    }
}
.search-container {
    .input-search {
        width: 100%;
    }
}
.search-filter {
    width: fit-content !important;
}
.search-filter-div {
    align-items: center !important;
}
.input-search {
    transition: all 0.5s ease-out;
    transform: scaleX(0);
    transform-origin: right;
}
.input-search.active {
    /* transition: all 0.5s ease-out; */
    transform: scaleX(1);
    /* transform-origin: right; */
}
.search-filter {
    /* display: none; */
    height: auto;
    width: 100%;
    opacity: 0;
    transition: all 0.5s ease-out;
    transform: scaleX(0);
    transform-origin: right;
}
.search-filter.active {
    opacity: 1;
    height: auto;
    transition: all 0.5s ease-out;
    transform: scaleX(1);
}
.search-filter-div {
    display: flex;
    justify-content: end;
    align-items: start;
    gap: 8px;
}

.input-search {
    height: 32px !important;
    font-size: 1rem !important;
}
.search-container {
    img {
        height: 32px !important;
    }
}
.search-container {
    margin-bottom: 8px !important;
}
.filter-icon {
    height: 32px !important;
}
[data-filter-id="ingredient-dropdown"] {
    left: -200%;
    width: 300%;
}
.floating-search {
    width: fit-content !important;
}
.method-text {
    flex-direction: column;
    ol {
        width: 100% !important;
        max-width: 100%;
    }
    p {
        margin-left: 15px;
    }
}
.recipe-icons {
    .recipe-share-social {
        cursor: pointer !important;
    }
}
.inline-heading {
    background-color: #007833;
    color: #fff;
    font-weight: bold;
    font-size: 2rem;
    text-transform: uppercase;
    letter-spacing: 1px;
    display: inline-block;
    padding: 10px 20px;
    padding-left: 11vw;
}
.inline-heading.red {
    background-color: #df033f;
}
.recipe-process {
    padding: 20px 12vw;
    padding-right: 0;
    display: flex;
    flex-wrap: wrap;
    gap: 40px;
    div {
        width: 18%;
        display: flex;
        align-items: flex-start;
        gap: 4px;

        span {
            font-size: 1.4rem;
            color: #df033f;
            font-weight: bold;
        }
        p {
            text-transform: capitalize;
            font-weight: 600;
            letter-spacing: 1px;
        }
    }
}
.recipe-details-list {
    padding: 20px 20px 20px 11vw;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 20px;

    ol {
        width: 50%;
        font-weight: 600;
        color: #333;
        li::marker {
            color: #007833;
            font-weight: 600;
        }
        p {
            margin-left: -20px;
            margin-top: 20px;
        }
    }
    img {
        width: 100%;
        max-width: 50vw;
    }
}
.recipe-icons {
    padding-left: 13vw;
    display: flex;
    align-items: center;
    list-style: none;
    font-weight: 600;
    gap: 20px;

    li {
        display: flex;
        align-items: center;
        gap: 4px;
    }
    .recipe-share-social {
        font-size: 12px;
        width: 20px;
        height: 20px;
        border: #007833 1px solid;
        border-radius: 50%;
        padding: 2px 4px;
        display: flex;
        align-items: center;
        justify-content: center;
        text-decoration: none;
        color: #007833;
    }
    img {
        width: 26px;
    }
}
/* // Modal-----------------------  */
.custom-modal {
    width: 100%;
    height: 100vh;
    background-color: #00000066;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999999;
    padding: 20px;
    transition: all 0.2s ease-out;
    opacity: 0;
    pointer-events: none;
}
.custom-modal.active {
    opacity: 1;

    pointer-events: all;
}
.email-modal {
    background-color: #fff;
    width: 100%;
    max-width: 600px;
    margin: 90px auto;
    border-radius: 5px;
    opacity: 0;
    transition: all 0.5s ease-out;
}
.custom-modal.active .email-modal {
    opacity: 1;
}
.modal-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 4px;
    padding: 10px 10px;
    h2 {
        font-size: 1.1rem;
        /* font-weight: 600; */
        color: #333;
        margin-bottom: 0 !important;
    }
    span {
        cursor: pointer;
        font-size: 1.5rem;
    }
}
.email-modal-content {
    .modal-body-div {
        border-top: #3c3c3c47 1px solid;
        border-bottom: #3c3c3c47 1px solid;
        padding: 20px 10px 30px;
    }
    form {
        label {
            display: inline-block;
            max-width: 100%;
            margin-bottom: 5px;
            font-weight: 600;
            line-height: 1.42857143;
            color: #333;
            font-size: 15px;
        }
        input {
            display: block;
            width: 100%;
            height: 34px;
            padding: 6px 12px;
            font-size: 14px;
            line-height: 1.42857143;
            color: #555;
            background-color: #fff;
            background-image: none;
            border: 1px solid #ccc;
            border-radius: 4px;
            -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
            box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
            -webkit-transition: border-color ease-in-out 0.15s,
                -webkit-box-shadow ease-in-out 0.15s;
            -o-transition: border-color ease-in-out 0.15s,
                box-shadow ease-in-out 0.15s;
            transition: border-color ease-in-out 0.15s,
                box-shadow ease-in-out 0.15s;
        }
        input:focus {
            border-color: #66afe9;
            outline: 0;
            -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075),
                0 0 8px rgba(102, 175, 233, 0.6);
            box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075),
                0 0 8px rgba(102, 175, 233, 0.6);
        }
    }
}
.easy-autocomplete {
    width: 100% !important;
}
.modal-footer {
    padding: 15px 10px;
    button {
        display: inline-block;
        padding: 6px 12px;
        margin-bottom: 0;
        font-size: 14px;
        font-weight: 400;
        line-height: 1.42857143;
        text-align: center;
        white-space: nowrap;
        vertical-align: middle;
        -ms-touch-action: manipulation;
        touch-action: manipulation;
        cursor: pointer;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
        background-image: none;
        border: 1px solid transparent;
        border-radius: 4px;
    }
}
.modal-btn-close {
    margin-right: 10px;
    color: #333;
    background-color: #fff;
    border-color: #ccc !important;
}
.modal-btn-close:hover {
    background-color: #f5f5f5;
    border-color: #f5f5f5;
}
.modal-btn-submit {
    color: #fff;
    background-color: #5bc0de;
    border-color: #46b8da;
}
.modal-btn-submit:hover {
    background-color: #3690ab;
    border-color: #3690ab;
}
.invalid-feedback {
    margin-top: 6px;
    padding-left: 8px;
}
/* .modal-input-validation {
    margin-top: 6px;
    padding-left: 8px;
    display: none;
    color: #a94442;
}
.modal-input-validation.active {
    display: block;
}
.modal-input-email:invalid .modal-input-validation,
.modal-input-email:user-invalid .modal-input-validation {
    display: block;
} */
/* // Modal-----------------------  */
@media (max-width: 1398px) {
    .recipe-process {
        padding: 20px 6vw;
    }
    .inline-heading {
        padding-left: 5vw;
    }
    .racipe-time {
        padding: 5px 4vw;
    }
    .recipe-details-list {
        padding-left: 5vw;
    }
    .recipe-icons {
        padding-left: 6vw;
    }
}
@media (max-width: 992px) {
    .recipe-img-dekstop {
        display: none;
    }
    .recipe-img-mobile {
        display: block;
    }
    .floating-search {
        /* top: 50px !important; */
        /* right: 60px; */
        width: 80vw !important;
    }
    .recipe-details-list {
        padding-right: 5vw;

        img {
            display: none;
        }
        ol {
            width: 100%;
            max-width: 100%;
        }
    }
    .search-filter {
        width: 100% !important;
    }
    .dropdown-item {
        white-space: nowrap !important;
    }
    .search-filter {
        flex-direction: column;
        gap: 0px;
    }
    .search-filter-div {
        align-items: start !important;
    }
}
/* @media (max-width: 900px) {
    .floating-search {

    }
} */
@media (max-width: 768px) {
    .strap-section {
        padding: "10px 0 ";
        h2 {
            font-size: 20px !important;
            letter-spacing: 1.5px !important;
        }
    }
    .floating-search {
        width: fit-content !important;
    }
    .search-filter {
        gap: 4px;
    }
    .search-container {
        margin-bottom: 4px !important;
    }
    .recipe-process {
        padding: 20px 3vw;
    }
    .inline-heading {
        padding-left: 6vw;
    }
    .racipe-time {
        padding: 5px 2vw;
    }
    .recipe-details-list {
        padding-left: 2vw;
        padding-right: 2vw;
    }
    .recipe-icons {
        padding-left: 3vw;
    }
    .inline-heading {
        font-size: 1.1rem;
    }
    .search-filter {
        height: 0;
    }
    .recipe-floating-card {
        width: 80%;
        right: 10%;
        bottom: 120px;
        /* padding: 10px 28px; */
        h3 {
            font-size: 18px;
        }
        p {
            font-size: 14px;
        }
    }
    .racipe-time {
        padding: 5px 5vw;
        padding-top: 100px;
        gap: 0;
        justify-content: space-around;
    }
    .racipe-time-element {
        flex-direction: column;
        div {
            text-align: center;
            p {
                font-size: 14px;
            }
        }
        img {
            width: 40px;
        }
    }
    .recipe-process {
        padding: 20px 0;
        flex-direction: column;
        width: 100%;
        div {
            padding: 10px 20px;
            width: 100%;
            border-bottom: 1px solid #4c4c4c5b;
            gap: 40px;
        }
    }
}
@media (max-width: 578px) {
    .floating-search {
        right: 4vw;
        width: 94vw;
    }
}

